﻿@model IEnumerable<Project_Prn211_4.Models.Product>
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers

<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="width=device-width" />
	<title>Products</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
	<style>
		body {
			font-family: Arial, sans-serif;
			background-color: #f2f2f2;
		}

		.container {
			display: flex;
			justify-content: space-between;
			align-items: center;
			padding: 10px;
			background-color: #fff;
			border: 1px solid #ccc;
			border-radius: 5px;
			box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
			margin-bottom: 20px;
		}

			.container a {
				margin-right: 10px;
				text-decoration: none;
				color: #007bff;
				padding: 8px;
				border-radius: 3px;
				background-color: #f2f2f2;
			}

				.container a:hover {
					background-color: #e6e6e6;
				}

		.product-container {
			display: flex;
			flex-wrap: wrap;
			justify-content: center;
			gap: 20px;
		}

		.product-card {
			width: 200px;
			padding: 10px;
			background-color: #fff;
			border: 1px solid #ccc;
			border-radius: 5px;
			box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
		}

		.product-image {
			width: 100%;
			height: 200px;
			object-fit: cover;
			border-radius: 5px;
		}

		.product-name {
			margin-top: 10px;
			font-weight: bold;
		}

		.product-price {
			font-size: 14px;
			color: #666;
			margin-top: 5px;
			display: flex;
			justify-content: space-between;
		}

		.product-actions {
			display: flex;
			justify-content: center;
			margin-top: 10px;
		}

			.product-actions form,
			.product-actions button {
				padding: 5px 10px;
				text-decoration: none;
				color: #fff;
				border-radius: 3px;
				cursor: pointer;
			}

			.product-actions form {
				background-color: #007bff;
				border: none;
				margin-right: 5px;
			}

				.product-actions form:hover {
					background-color: #0056b3;
				}

			.product-actions button {
				background-color: #28a745;
				border: none;
			}

				.product-actions button:hover {
					background-color: #218838;
				}

		.save-button {
			margin-top: 20px;
			text-align: center;
		}
	</style>
</head>
<body>
	<div class="container">
		<a asp-controller="Home" asp-action="UserManage">User Management</a>
		<a asp-controller="Home" asp-action="Logout">Logout</a>
	</div>

	
		<form id="filter" method="get" action="/Home/IndexAdmin">
			<select id="categoryFilter" name="categoryId" onchange="document.getElementById('filter').submit()">
				<option value="">All Categories</option>
				@foreach (var category in ViewBag.Categories)
				{
					<option value="@category.CategoryId" selected="@(category.CategoryId == ViewBag.SelectedCategoryId)">@category.CategoryName</option>
				}
			</select>
		</form>
	<div class="product-container">
		@foreach (var product in Model)
		{
			<div class="product-card">
				<img class="product-image" src="@Url.Content(product.ImgPath)" alt="Product Image">
				<div class="product-name">
					<form id="form-@product.ProductId" method="post" action="/Home/SaveProduct">
						<input type="hidden" name="productId" value="@product.ProductId" />
						<input type="text" name="productName" value="@product.ProductName" class="form-control" />
						<input type="text" name="price" value="@product.Price" class="form-control" />
						<input type="text" name="quantity" value="@product.Quantity" class="form-control" />
						<div class="product-actions">
							<button type="submit" class="btn btn-primary">Save</button>
						</div>
					</form>
				</div>
			</div>
		}
	</div>

	
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</body>
</html>
